Questions tagged [rpm]

RPM is a package management system intended primarily for Linux distributions.

0
votes
1answer
253 views

RPM database not seeing file installed as part of RPM

Intro: The following was done on a RHEL 6.9 32bit OS. I installed the oracle (not openjdk) version of JRE rpm using the rpm -Uvh command. I then built a package using rpmbuild that requires ...
0
votes
1answer
8k views

Is it possible to run apt-get in centos , if yes how?

For some reasons I have to use apt-get in CentOS. After some effort I noticed RPMForge/RepoForge (which is needed to install apt-get) is dead project. Please refer to this page. however is it ...
0
votes
2answers
750 views

How to uninstall all RPM in a directory?

I have a directory full of RPM files recently installed (gotten by running yum install --downloadonly prior to the install). I want to know remove all these RPMs to get close to a 'fresh' install for ...
11
votes
3answers
7k views

What is DRPM and How does it differ from RPM?

Doing an update on my CentOS 7 box and I noticed that there was a handful of DRPMs being installed. After doing some searches on google, there is no straight up Answer for this question so I thought ...
0
votes
1answer
383 views

How to download 3rd party rpm packages with all the dependencies for offline installation?

I want to download all the .rpm files for the below packages with all its dependencies. The problem is yum cannot find any of them nor its dependencies. I want all these .rpm files for offline ...
0
votes
1answer
560 views

rpm --upgrade of the same package gives file conflicts

I have installed my custom package containing a bunch of files. Running rpm --upgrade a second time gives a lot of errors: File ABC from install of mypackage-1.0-0.i386 conflicts with file from ...
2
votes
0answers
340 views

Rollback dependencies from a zypper update failure

The main RPM requires specific version of dependencies, for example: main-1.0.0 requires foo-1.0.0, bar-1.0.0 main-1.1.0 requires foo-1.1.0, bar-1.1.0 When I try to update the main RPM, there is ...
0
votes
1answer
3k views

Installing Apache HTTPD RPM on an offline RHEL 7.2 server [duplicate]

I need to install httpd on an offline RHEL 7.2 box, which means no yum. I read somewhere that httpd comes natively as part of RHEL 7.2, but I can't find it anywhere within the server. Is there any ...
2
votes
2answers
669 views

Error during Mono manual installation in CentOS

I'm trying to do a Mono install package per package, because the CentOS server doesn't have internet access. However, when I try to install the mono core package using the command: rpm -i mono-core-4....
2
votes
1answer
591 views

Is it possible to manually add an entry to RPM Database?

Our current AV install package on Linux(CentOS) servers is in the form of tar.gz and the installation is initiated by execution of the default install.sh script. But since install is not via RPM or ...
0
votes
1answer
763 views

How to reinstall yum and what does 'rpm = 4.8.0-55.el6' mean?

There is an error with command yum. I believe it's a difficult problem searching several days without a solution way. I finally decide to reinstall python and yum. I have yet installed python ...
6
votes
1answer
6k views

How to add Fedora Repo to a CentOS 7 installation?

I have a CentOS 7 x86_64 installation onto which I want to install a package called frama-c. This package is not in the repos I have configured so far: # yum search frama-c Loaded plugins: ...
1
vote
1answer
426 views

Yum does nothing(Unresponsive) when installing any package or updating

I am having issues with using Yum on Redhat 7. Yum does nothing ("Unresponsive") when installing any package or updating even with sudo or root. Here's what I did: yum install update rpm --...
2
votes
1answer
1k views

install a directory full of RPMs so that rpms providing dependencies are installed before dependent rpms?

I have inherited an ugly script for installing some code onto an old centos relesae, I'm trying to get the original script to work before upgrading to a proper RPM. Currently the script is trying to ...
0
votes
1answer
62 views

Why won't yum install the later release of an RPM when my custom RPM Requires that?

I created an RPM that has Requires: ruby193-rubygem-passenger-native = 3.0.21-4.el6op yum deplist myrpm says that myrpm requires that release and it's satisfied by that rpm which is in my ...
0
votes
1answer
143 views

how to run MySQL-devel-4.1.22-0.glibc23.x86_64.rpm file on mac?

Is it possible to run MySQL-devel-4.1.22-0.glibc23.x86_64.rpm on my mac, and if so, how?
0
votes
1answer
152 views

RHEL 6: failing on dependencies for updating qgis rpm

I have an rpm for a newer version of qgis than the one I currently have. On this command: sudo rpm --upgrade qgis-2.18.2-4.fc26.i686.rpm, I get the errors: error: Failed dependencies: libQtCore.so.4 ...
0
votes
1answer
882 views

How to get a RPM package name required for FONTS installation on Red Hat Linux?

Is there a link which will give me the list of RPM packages available for Red hat Linux? and how do I pick up which RPM package for what purpose? I need some BARCODE fonts to be installed on Linux ...
2
votes
1answer
388 views

Package depends on mpich, cannot be installed because nothing provides libmpi.so.12

I have some software that uses MPI. I have created an RPM package from that. The requirements are such that mpich and mpich-devel are included: BuildRequires: libstdc++-devel autoconf gcc-c++ ...
1
vote
3answers
2k views

yast2 crashed at the moment of loading the install software module

While trying to run a module from within yast in Tumbleweed openSUSE, the module crashed and it says in terminal Run command: /sbin/yast2 sw_single & terminate called after throwing an instance ...
0
votes
3answers
63 views

display all patches/packages installed in the last month

I would like display all the installed packages of last month with the rpm -qa --last command which outputs in this format: libgcc-4.4.7-17.el6.x86_64 Tue 01 Nov 2016 12:55:21 PM ...
0
votes
1answer
593 views

Defining macros for authoring RPM files that require Python 3

The python-devel RPM installs a macro definition file: /etc/rpm/macros.python2 However, after installing python36u-devel from the IUS repository I do not have a Python 3 flavor of this file ...
3
votes
1answer
70 views

Breaking down rpm's identifiers for shared-library files

If I run something like: rpm -q --fileprovide foo-1.0.0-0.x86_64 I get a list of files, and some of them have an identifier on the right for them, like: /usr/lib64/bar.so.4 bar.so.4()(64bit) ...
4
votes
3answers
267 views

What does “-14” mean in a dump of RPM macros

It's possible to dump the available / defined macros when authoring a RPM spec file by using: rpm --showrc or rpm --eval %dump or including the %dump builtin macro in the spec file itself and ...
1
vote
3answers
2k views

Restore original fail2ban configuration on CentOS 7

I installed fail2ban from EPEL using yum install, and then proceeded to screw up the configuration after forgetting to back up /etc/fail2ban. Now I want the original configuration back. First I ...
2
votes
2answers
2k views

Installing RPM with Dependencies Offline

I am trying to install some packages on a server that has no internet connectivity. From what I read at How to use yum to get all RPMs required, for offline use? I should be able to use ...
1
vote
0answers
243 views

Post-install Yum Remove Dependency

I've recently upgraded my PostgreSQL Server from 9.2 to 9.4. With these changes, I've updated a PostgreSQL Utilities RPMs POM.xml from <groupId>org.codehaus.mojo</groupId> <artifactId&...
3
votes
1answer
43k views

How to install a RPM package in a right way?

I know its very basic question(but i am new to centos7), and very much confused, the examples i have checked over net someone is using YUM or first wget or tarball.Please tell the right way to install ...
1
vote
1answer
230 views

spec file: I want to use my tar

On aix(and on unix usually..) the tar command doesn't play good with some archives created with gnu tar. I want to use my tar gnu on AIX on .spec file I put this line %define tar /opt/freeware/bin/...
1
vote
4answers
3k views

Extract only version portion of a package name with bash

I would like to extract from a package name only the version of the package. Assuming I have a variable var that contains a package name (E.g.: var="nfs-utils-1.2.6-6.fc17.i686.rpm" ). The string ...
3
votes
1answer
1k views

How to find release date of any .rpm before installing it

Is there any way to get the release date (via command line) of an RPM without downloading or installing it? I can get detailed information via the command below but can't find the release date of ...
-2
votes
1answer
200 views

Yum dependencies

please advice when i install the RPM - subscription-manager-1.11.3-14.el5_11.i386.rpm its fail about missing RPM ( dependencies ) but the RPM are already installed - how it can be? 20:37:23 root@...
0
votes
1answer
448 views

Fedora 24: how to get the wx-config script detected in openSUSE Build Service?

I have this spec file for building a CodeLite package and on Fedora 25 it builds fine. But on Fedora 24 instances of the Open Build Service (OBS) it fails giving the error [ 93s] -- ...
0
votes
1answer
287 views

How do I fix this spec file: it keeps giving me sed errors yet the only sed is long before the error occurs?

Here is my codelite.spec file. It compiles the sources fine, but then it gives this error (and yes I am including a few extra lines to give context): Processing files: codelite-10.0-1.fc25.x86_64 ...
0
votes
1answer
184 views

Building RPM for Unix RuneScape Client: nothing provides perl(JSON:backportPP)

I have been building an RPM file for this program and while for the most part this spec file works: Name: unix-runescape-client Version: 4.3.5 Release: 1 License: GPL-2.0 ...
0
votes
1answer
264 views

Installing ffmpeg but need to install atrpms first on RedHat 7, issues of 404 not found

I'm following the instructions given here to install the atrpms repository. After setting everything up and try to do a: yum install ffmpeg I get the following error below. The error states that it ...
1
vote
1answer
372 views

How to determine whether the system an RPM package is built on is CentOS from within a spec file?

I have a spec file where its Requires: fields depend on the specific distribution it's being built on. So I need to be able to create a conditional structure along the lines of: %if %{?fedora} ...
1
vote
0answers
718 views

How to run .phar file with PHP CLI from an unpacked RPM?

How to reproduce: "Install" PHP 5.4 (plus ncurses and OpenSSL libraries) from CentOS 7 repositories using rpm2cpio | cpio in a directory called "rpm" Download phpunit.phar version 4.8.26 Run ...
4
votes
1answer
528 views

What is Rpmfusion

I searched about it a lot and got something but. Can someone please explain in more simpler terms and why it is only used for fedora.And not for any other
0
votes
1answer
67 views

How do I install an .rpm that fails with an error about an .so file not being found from Python 2.6?

When I try to install cloudera-manager-agent 5.7 from an .rpm I get an error. The error says that a dependency has not been met because yum could not find libpython2.6.so.1.0(64bit). I would expect ...
1
vote
1answer
535 views

Installing rpm packages and resolving dependencies on an embedded device

I got an embedded device with RPM on (no Yum). The way I install packages now is by downloading the proper .rpm file from rpmfind.net and running rpm -i package.rpm. This process repeats for every ...
0
votes
2answers
1k views

Cannot install libstdc++-4.4.4-13.el6.i686.rpm on OEL 6.8

I'm trying to install libstdc++-4.4.4-13.el6.i686.rpm but it says newer version of this package is already installed. [root@isoft Downloads]# rpm -ivh libstdc++-4.4.4-13.el6.i686.rpm warning: libstdc+...
4
votes
2answers
630 views

How to list RPM packages that depend on a specific library?

I would like to determine which RPM packages on my Fedora 25 system depend on the libraries libLLVM-3.8.so and libclang-3.8.so. How do I?
1
vote
1answer
65 views

Reliable source of RPMs for CentOS?

I know I can use Redhat and CentOS rpms on my CentOS 6.7/6.8 systems. However, I feel I can only trust rpms that come from the redhat and centos web sites, or other reliable/known-to-me sites. Now I ...
2
votes
3answers
68 views

How to get a name of older package?

I have a RHEL and on one of servers I have installed the same RPM package in two different versions. [root ~]# rpm -qa | grep my-package-name my-package-name-6.6.2-129.x86_64 my-package-name-7.0.2-1....
1
vote
1answer
143 views

rpm package management on system without inet access

I have a CentOS 6.7 system that is behind a firewall with no outbound. It is a vanilla, working rig. I need to install: - jemalloc - redis I have the rpm for jemalloc on the system locally, but it ...
1
vote
2answers
943 views

how to extract the instructions provided by the rpm spec file

I have reviewed several related questions - the closest being: Extract the spec file out of an RPM -- AND I must add I would have phrased my question the same way. However, it seems the .spec file is ...
3
votes
3answers
4k views

rpmsign with CLI password prompt

I working on a Fedora 25 (F25) workstation, the KDE spin. I'm writing some scripts to perform automated testing. One of the automated tests involves invoking the RPMSIGN(8) program which in turn ...
3
votes
1answer
1k views

MySQL dependencies conflicts

I have installed Cloudera Server and Agent successfully, but I am facing issues installing MySQL. I have setup a local repository for this installation as I require offline installation. How do I ...
1
vote
1answer
211 views

Can I create files in kickstart %pre, then later access those same files during RPM package installation and/or kickstart %post?

I read the post Differences between %pre and %post in Kickstart on CentOS?, which includes the following statement: %post runs chrooted into the new install root, or it can run in the root of anaconda ...